CMSIS-Driver: Ethernet MAC Frame Transmit Flags

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
Ethernet MAC Frame Transmit Flags
Ethernet MAC Interface

Specify frame transmit flags. More...

## Macros

#define | ARM_ETH_MAC_TX_FRAME_FRAGMENT (1UL << 0)
| Indicate frame fragment. More...
#define | ARM_ETH_MAC_TX_FRAME_EVENT (1UL << 1)
| Generate event when frame is transmitted. More...
#define | ARM_ETH_MAC_TX_FRAME_TIMESTAMP (1UL << 2)
| Capture frame time stamp. More...

## Description

Specify frame transmit flags.

## Macro Definition Documentation

#define ARM_ETH_MAC_TX_FRAME_FRAGMENT (1UL << 0)

Indicate frame fragment.

See Also
  ARM_ETH_MAC_SendFrame

#define ARM_ETH_MAC_TX_FRAME_EVENT (1UL << 1)

Generate event when frame is transmitted.

See Also
  ARM_ETH_MAC_SendFrame

#define ARM_ETH_MAC_TX_FRAME_TIMESTAMP (1UL << 2)

Capture frame time stamp.

See Also
  ARM_ETH_MAC_SendFrame